<?php

use yii\db\Migration;

/**
 * Class m240822_030046_tabla_ServicioElementoServicio
 */
class m240822_030046_tabla_ServicioElementoServicio extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->createTable("ServicioTipoServicio", [
            "id" => $this->string(36),
            "idServicio" => $this->string(36),
            "idTipoServicio" => $this->string(36),
            "nombre" => $this->string(),
            "costo" => $this->decimal(12,2),
            "creado" => $this->timestamp()->append("with time zone"),
            "modificado" => $this->timestamp()->append("with time zone"),
            "eliminado" => $this->timestamp()->append("with time zone"),
        ]);

        $this->addPrimaryKey('ServicioTipoServicioPK', 'ServicioTipoServicio', 'id');

        $this->addForeignKey('ServicioTipoServicioServicioFK', 'ServicioTipoServicio', 'idServicio', 'Servicio', 'id');
        $this->addForeignKey('ServicioTipoServicioTipoFK', 'ServicioTipoServicio', 'idTipoServicio', 'TipoServicio', 'id');
        
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropForeignKey('ServicioTipoServicioTipoFK', 'ServicioTipoServicio');
        $this->dropForeignKey('ServicioTipoServicioServicioFK', 'ServicioTipoServicio');

        $this->dropTable('ServicioTipoServicio');
    }
}
