<?php

use yii\db\Migration;

/**
 * Class m240925_184940_Creacion_tablas_Partida_Unidad_Medida
 */
class m240925_184940_Creacion_tablas_Partida_Unidad_Medida extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->createTable('Partida', [
            "id" => $this->string(36),
            "nombre" => $this->string(100),
            "descripcion" => $this->string(100),
            "creado" => $this->timestamp()->append(" with time zone"),
            "modificado" => $this->timestamp()->append(" with time zone"),
            "eliminado" => $this->timestamp()->append(" with time zone"),
        ]);

        $this->addPrimaryKey('PartidaPK', 'Partida', 'id');

        $this->createTable('UnidadMedida', [
            "id" => $this->string(36),
            "nombre" => $this->string(100),
            "descripcion" => $this->string(100),
            "creado" => $this->timestamp()->append(" with time zone"),
            "modificado" => $this->timestamp()->append(" with time zone"),
            "eliminado" => $this->timestamp()->append(" with time zone"),
        ]);

        $this->addPrimaryKey('UnidadMedidaPK', 'UnidadMedida', 'id');
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropTable("Partida");
        $this->dropTable("UnidadMedida");

    }

    /*
    // Use up()/down() to run migration code without a transaction.
    public function up()
    {

    }

    public function down()
    {
        echo "m240925_184940_Creacion_tablas_Partida_Unidad_Medida cannot be reverted.\n";

        return false;
    }
    */
}
