<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "Nomina".
 *
 * @property string $id
 * @property string|null $idEmpleado
 * @property string|null $idObra
 * @property string|null $idUsuario
 * @property float|null $montoPagado
 * @property float|null $descuento
 * @property string|null $creado
 * @property string|null $fechaPago
 * @property string|null $modificado
 * @property string|null $eliminado
 *
 * @property Empleado $idEmpleado0
 * @property Obra $idObra0
 * @property Usuario $idUsuario0
 */
class Nomina extends ModeloBase
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'Nomina';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['id'], 'required'],
            [['montoPagado', 'descuento'], 'number'],
            [['creado', 'fechaInicio','fechaFin', 'modificado', 'eliminado'], 'safe'],
            [['id', 'idEmpleado', 'idObra', 'idUsuario'], 'string', 'max' => 36],
            [['id'], 'unique'],
            [['idEmpleado'], 'exist', 'skipOnError' => true, 'targetClass' => Empleado::class, 'targetAttribute' => ['idEmpleado' => 'id']],
            [['idObra'], 'exist', 'skipOnError' => true, 'targetClass' => Obra::class, 'targetAttribute' => ['idObra' => 'id']],
            [['idUsuario'], 'exist', 'skipOnError' => true, 'targetClass' => Usuario::class, 'targetAttribute' => ['idUsuario' => 'id']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'idEmpleado' => 'Id Empleado',
            'idObra' => 'Id Obra',
            'idUsuario' => 'Id Usuario',
            'montoPagado' => 'Monto Pagado',
            'descuento' => 'Descuento',
            'fechaInicio'=>'fecha Inicio',
            'fechaFin'=>'fecha Fin',
            'creado' => 'Creado',
            'fechaPago' => 'Fecha Pago',
            'modificado' => 'Modificado',
            'eliminado' => 'Eliminado',
        ];
    }

    public function getEmpleado()
    {
        return $this->hasOne(Empleado::class, ['id' => 'idEmpleado']);
    }

    public function getObra()
    {
        return $this->hasOne(Obra::class, ['id' => 'idObra']);
    }

    public function getUsuario()
    {
        return $this->hasOne(Usuario::class, ['id' => 'idUsuario']);
    }
}
